
/**
 * klasse WvO - Berekeningen met de wet van Ohm
 * 
 * @author (Wesley Creve) 
 * @version (04/12/2015)
 */
public class WvO
{
    private static double R; //Weerstand | Eenheid: ohm
    private static double U; //Spanning | Eenheid: volt
    private static double I; //Stroom | Eenheid: ampère
    //Standaardformule: R = U/I
    
    /**
     * Constructor voor klasse WvO
     */
    public WvO()
    {
        R = 0;
        U = 0;
        I = 0;
    }

    
    /**
     * Berekent de weerstand (R) in ohm
     * 
     * @param U  spanning (in volt)
     * @param I  stroom (in ampère)
     */
    public static void WvO_BerekenWeerstand(double U, double I)
    {
        R = U/I;
        System.out.println("Als de spanning " + U + " volt bedraagt en de stroom " + I + " ampère bedraagt, dan is de weerstand gelijk aan " + R + " ohm.");
    }
    
    /**
     * Berekent de spanning (U) in volt
     * 
     * @param R  weerstand (in ohm)
     * @param I  stroom (in ampère)
     */
    public static void WvO_BerekenSpanning(double R, double I)
    {
        U = R*I;
        System.out.println("Als de weerstand " + R + " ohm bedraagt en de stroom " + I + " ampère bedraagt, dan is de spanning gelijk aan " + U + " volt.");
    }
    
    /**
     * Berekent de stroom (I) in ampère
     * 
     * @param U  spanning (in volt)
     * @param R  weerstand (in ohm)
     */
    public static void WvO_BerekenStroom(double U, double R)
    {
        I = U/R;
        System.out.println("Als de spanning " + U + " volt bedraagt en de weerstand " + R + " ohm bedraagt, dan is de stroom gelijk aan " + I + " ampère.");
    }
}
